Package: org.codehaus.groovy.runtime.memoize

## [Java] Enum EvictableCache.EvictionStrategy

- org.codehaus.groovy.runtime.memoize.EvictableCache.EvictionStrategy

-     public enum EvictableCache.EvictionStrategy

  Represents an eviction strategy for the cache with limited size

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `FIFO` | Entries are evicted in the same order as they come in
    `LRU` | The oldest entry(i.e. the Less Recently Used entry) will be evicted

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EvictableCache.EvictionStrategy FIFO

      Entries are evicted in the same order as they come in

    - #### EvictableCache.EvictionStrategy LRU

      The oldest entry(i.e. the Less Recently Used entry) will be evicted